ranges::actions::slice_fn Struct Reference

## Public Member Functions

template<typename D >
CPP_TEMPLATE_AUX_0 | c (requires integral< D >) ccconstexpr auto operator()(D from
template<typename D >
CPP_TEMPLATE_AUX_0 | c (requires integral< D >) ccconstexpr auto operator()(D from

## Public Attributes

CPP_TEMPLATE_AUX_0 D to | const
CPP_TEMPLATE_AUX_0 detail::from_end_< D > to | const

## Related Functions

(Note that these are not member functions.)
constexpr slice_fn | slice {}

## Member Data Documentation

## const [1/2]

CPP_TEMPLATE_AUX_0 D to ranges::actions::slice_fn::const

Initial value:
{
return make_action_closure(bind_back(slice_fn{}, from, to))
ranges::make_action_closure
constexpr make_action_closure_fn make_action_closure
Definition: action.hpp:49
ranges::to
auto to() -> detail::to_container_fn< detail::from_range< ContT >>
For initializing a container of the specified type with the elements of an Range.
Definition: conversion.hpp:410
meta::lazy::bind_back
defer< bind_back, Fn, Ts... > bind_back
Definition: meta.hpp:994

## const [2/2]

CPP_TEMPLATE_AUX_0 detail::from_end_<D> to ranges::actions::slice_fn::const

Initial value:
{
return make_action_closure(bind_back(slice_fn{}, from, to))